Bug 1475032 - RFE: Object granular encryption support
Summary: RFE: Object granular encryption support
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW
Version: 3.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: rc
: 3.0
Assignee: Matt Benjamin (redhat)
QA Contact: Shreekar
Bara Ancincova
URL:
Whiteboard:
Depends On:
Blocks: 1494421
TreeView+ depends on / blocked
 
Reported: 2017-07-25 21:42 UTC by Uday Boppana
Modified: 2017-12-05 23:38 UTC (History)
9 users (show)

Fixed In Version: RHEL: ceph-12.1.4-1.el7cp Ubuntu: ceph_12.1.4-2redhat1xenial
Doc Type: Enhancement
Doc Text:
.Support for S3 server-side encryption The Ceph Object Gateway now supports the Amazon Simple Storage Service (S3) server-side encryption. For details, see the link:https://access.redhat.com/documentation/en-us/red_hat_ceph_storage/3/html-single/developer_guide/#s3-api-encryption[S3 API Server-side Encryption] section in the Developer Guide for Red{nbsp}Hat Ceph Storage 3.
Clone Of:
Environment:
Last Closed: 2017-12-05 23:38:03 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:3387 normal SHIPPED_LIVE Red Hat Ceph Storage 3.0 bug fix and enhancement update 2017-12-06 03:03:45 UTC

Description Uday Boppana 2017-07-25 21:42:59 UTC
Object granular encryption support in RGW.

Comment 2 Matt Benjamin (redhat) 2017-07-27 18:53:07 UTC
Per Uday, this connotes SSE-C and -maybe- SSE-KMS w/Barbican as the KMS.

Comment 9 errata-xmlrpc 2017-12-05 23:38:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:3387


Note You need to log in before you can comment on or make changes to this bug.